@import "../../00_base/media-queries.pcss.css";


/* Defaults */

@media (--md) {
  .lb-columns {
    margin-bottom: var(--box-padding);
    & .layout-builder-block {
      padding: 0; /* Remove additional lb padding, we bring our own */
    }
    & .lb-columns__section {
      display: flex;
      gap: var(--box-padding);
      /* For equal height columns we can't just apply height: 100% because that will add the region__title height */
      & > div {
        display: flex;
        flex-direction: column;
        & .region__content {
          height: 100%;
        }
      }
    }
    & .region__title h2 {
      margin-bottom: calc(var(--sp1)/2);
    }
  }
}

.lb-columns {
  margin-bottom: var(--box-padding);
  & h2, & h3, & h4, & h5, & h6 {
    color: inherit;
  }
  & .lb-columns__section > *:not(:last-child) {
    padding-bottom: calc(var(--box-padding)/2);
  }
}

/* Create some classes to be used as column setting (UI) */

.lb-columns.v-centered .lb-columns__section > div {
  align-self: center;
}


/* Setting: bg_color or bg_image */

.lb-columns.has-background {
  position: relative;
  &> * {
    position: relative;
  }
  & .lb-columns__bg-image {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    box-shadow: var(--h4c-olive--box-shadow);
  }
} 

/* Setting: Wrapper Boxed (=>default)
 *
 * This is a little bit complex because we want non-boxed region titles
 * Background spans across all boxes, so visually we only have one box left even for >1 col sections
 *
 */

.lb-columns--boxed_region {
  max-width: var(--max-width);
  margin-inline: auto;
  & .lb-columns__section {
    padding: 0;
    & .region__content {
      background-color: var(--color--white);
      border-radius: var(--border-radius);
      padding: var(--box-padding); /* No padding is applied to region__title because it is not boxed */
      box-shadow: var(--h4c-olive--box-shadow);
    }
  }
  &.has-background {
    & .region__content {
      background-color: transparent; /* This needs to come after the background-color style for region__content with no background */
      box-shadow: none;
    }
    & .lb-columns__bg-image {
      border-radius: var(--border-radius);
    }
  }
}

/* Setting: Wrapper Full centered */

.lb-columns--full_centered {
  & .lb-columns__section {
    max-width: var(--max-width);
    margin-inline: auto;
  }
}

.lb-columns--full_centered.has-background .lb-columns__section {
  padding: var(--box-padding);
}

/* Setting: Wrapper Full width */

.lb-columns--full_width.has-background {
  & .lb-columns__section {
    padding: var(--box-padding);
  }
}


/*
 * Variant: One column
 * 
 */

.lb-columns__section--onecol {
  width: 100%;
  & > div {
    flex-basis: 100%;
  }
}

/*
 * Variant: Two column
 * 
 */
 
@media (--md) {
  .lb-columns__section--twocol > div {
    flex-basis: 50%;
  }
  .lb-columns--twocol--66-33 .lb-columns__section--twocol {
    & > div:first-child {
      flex-basis: 66%;
    }
    & > div:last-child {
      flex-basis: 33%;
    }
  }
  .lb-columns--twocol--33-66 .lb-columns__section--twocol {
    & > div:first-child {
      flex-basis: 33%;
    }
    & > div:last-child {
      flex-basis: 66%;
    }
  }
}

/* 
 * Variant:  Three column 
 *
 */

@media (--md) {
  .lb-columns__section--threecol > div,
  .lb-columns__section--threecol > div {
    flex: 0 1 33%;
  }
  .lb-columns__section--threecol > div:nth-child(2) {
    flex: 0 1 34%;
  }
}
